Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.value
Interface ComponentModel

All Superinterfaces:
  com.jgoodies.common.bean.ObservableBean, com.jgoodies.common.bean.ObservableBean2

All Known Subinterfaces:
  ComponentValueModel

All Known Implementing Classes:
  AbstractConverter, AbstractWrappedValueModel, ConverterFactory.BooleanNegator, ConverterFactory.BooleanToStringConverter, ConverterFactory.DoubleConverter, ConverterFactory.DoubleToIntegerConverter, ConverterFactory.FloatConverter, ConverterFactory.FloatToIntegerConverter, ConverterFactory.IntegerConverter, ConverterFactory.LongConverter, ConverterFactory.LongToIntegerConverter, ConverterFactory.StringConverter, DefaultComponentValueModel

    public interface ComponentModel

extends com.jgoodies.common.bean.ObservableBean2

Describes bound properties for the frequently used JComponent state enabled,visible and JTextComponent state editable.

Since:
  2.4
Version:
  $Revision: 1.15 $
Author:
  Karsten Lentzsch
See Also:
  `ComponentValueModel`

Field Summary
`static String` | `PROPERTY_EDITABLE` The name of the property used to synchronize this model with the editable property of JTextComponents.
`static String` | `PROPERTY_ENABLED` The name of the property used to synchronize this model with the enabled property of JComponents.
`static String` | `PROPERTY_VISIBLE` The name of the property used to synchronize this model with the visible property of JComponents.

Method Summary
`boolean` | `isEditable()` Returns if this model represents the editable or non-editable text component state.
`boolean` | `isEnabled()` Returns if this model represents an enabled or disabled component state.
`boolean` | `isVisible()` Returns if this model represents the visible or invisible component state.
`void` | `setEditable(boolean b)` Sets this model state to editable or non-editable, which in turn will make all text components bound to this model editable or non-editable.
`void` | `setEnabled(boolean b)` Enables or disabled this model, which in turn will enable or disable all Swing components bound to this model.
`void` | `setVisible(boolean b)` Sets this model state to visible or invisible, which in turn will make all Swing components bound to this model visible or invisible.

Methods inherited from interface com.jgoodies.common.bean.ObservableBean2
`addPropertyChangeListener, getPropertyChangeListeners, getPropertyChangeListeners, removePropertyChangeListener`

Methods inherited from interface com.jgoodies.common.bean.ObservableBean
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### PROPERTY_ENABLED

    static final String PROPERTY_ENABLED

  The name of the property used to synchronize this model with the enabled property of JComponents.

  See Also:
    Constant Field Values

### PROPERTY_VISIBLE

    static final String PROPERTY_VISIBLE

  The name of the property used to synchronize this model with the visible property of JComponents.

  See Also:
    Constant Field Values

### PROPERTY_EDITABLE

    static final String PROPERTY_EDITABLE

  The name of the property used to synchronize this model with the editable property of JTextComponents.

  See Also:
    Constant Field Values

Method Detail

### isEnabled

    boolean isEnabled()

  Returns if this model represents an enabled or disabled component state.

  Returns:
    true for enabled, false for disabled

### setEnabled

    void setEnabled(boolean b)

  Enables or disabled this model, which in turn will enable or disable all Swing components bound to this model.

  Parameters:
    `b` - true to enable, false to disable.

### isVisible

    boolean isVisible()

  Returns if this model represents the visible or invisible component state.

  Returns:
    true for visible, false for invisible

### setVisible

    void setVisible(boolean b)

  Sets this model state to visible or invisible, which in turn will make all Swing components bound to this model visible or invisible.

  Parameters:
    `b` - true for visible, false for invisible

### isEditable

    boolean isEditable()

  Returns if this model represents the editable or non-editable text component state.

  Returns:
    true for editable, false for non-editable

### setEditable

    void setEditable(boolean b)

  Sets this model state to editable or non-editable, which in turn will make all text components bound to this model editable or non-editable.

  Parameters:
    `b` - true for editable, false for non-editable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.